<?php
use wcf\data\uzbot\top\UzbotTopAction;
use wcf\system\WCF;

/**
 * Initializes wbb top data for Bot 
 * 
 * @author		Udo Zaydowicz
 * @copyright	2014-2021 Zaydowicz.de
 * @license		Zaydowicz Commercial License <https://zaydowicz.de>
 * @package		com.uz.wcf.bot3.wbb
 * @subpackage	acp
 * @category	WoltLab Suite Forum
 */

// posts
$topPosterID = null;
$sql = "SELECT		userID, wbbPosts
		FROM		wcf".WCF_N."_user
		ORDER BY 	wbbPosts DESC";
$statement = WCF::getDB()->prepareStatement($sql, 1);
$statement->execute();
$row = $statement->fetchArray();
if (!empty($row)) $topPosterID = $row['userID'];

$action = new UzbotTopAction([1], 'update', [
		'data' => [
				'post' => $topPosterID
		]
]);
$action->executeAction();